package com.example.android.sensor2;

import android.content.Context;
import android.graphics.Canvas;
import android.graphics.Paint;
import android.hardware.Sensor;

public class LightActivity extends AbstractSensorActivity {
	@Override
	AbstractSensorView getSensorView(Context context) {
		return new SensorView(context);
	}

	@Override
	int getSensorType() {
		return Sensor.TYPE_LIGHT;
	}

	private class SensorView extends AbstractSensorView {
		public SensorView(Context context) {
			super(context);
		}

		@Override
		void repaint(Canvas canvas, Paint paint) {
			canvas.drawText("Light:" + mValues[0] + " lux", 0,
					paint.getTextSize() * 1, paint);
			String text = String.valueOf(mValues[0]) + " lux";
			int size = Math.min(getWidth(), getHeight()) / 10;
			paint.setTextSize(size);
			int x = (int) (getWidth() - paint.measureText(text)) / 2;
			int y = getHeight() / 2;
			canvas.drawText(text, x, y, paint);
		}
	}
}
