package com.example.android.sensor2;

import android.app.Activity;
import android.content.Intent;
import android.hardware.Sensor;
import android.os.Bundle;
import android.view.View;
import android.widget.AdapterView;
import android.widget.AdapterView.OnItemClickListener;
import android.widget.ArrayAdapter;
import android.widget.ListView;

public class SelectorActivity extends Activity implements OnItemClickListener {
	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.main);

		ArrayAdapter<SensorItem> adapter = new SensorActivityListAdapter(this);
		adapter.add(new SensorItem(Sensor.TYPE_ACCELEROMETER, "Accelerometer", AccelerometerActivity.class));
		adapter.add(new SensorItem(Sensor.TYPE_GRAVITY, "Gravity", GravityActivity.class));
		adapter.add(new SensorItem(Sensor.TYPE_GYROSCOPE, "Gyroscope", GyroscopeActivity.class));
		adapter.add(new SensorItem(Sensor.TYPE_AMBIENT_TEMPERATURE, "Temperature", TemperatureActivity.class));
		adapter.add(new SensorItem(Sensor.TYPE_LIGHT, "Light", LightActivity.class));
		adapter.add(new SensorItem(Sensor.TYPE_MAGNETIC_FIELD, "Magnetic field", MagneticFieldActivity.class));
		adapter.add(new SensorItem(Sensor.TYPE_MAGNETIC_FIELD_UNCALIBRATED, "Magnetic field uncalibrated", MagneticFieldUncalibratedActivity.class));
		adapter.add(new SensorItem(Sensor.TYPE_PROXIMITY, "Proximity", ProximityActivity.class));
		adapter.add(new SensorItem(Sensor.TYPE_PRESSURE, "Pressure", PressureActivity.class));
		adapter.add(new SensorItem(Sensor.TYPE_RELATIVE_HUMIDITY, "Humidity", HumidityActivity.class));
		adapter.add(new SensorItem(Sensor.TYPE_ROTATION_VECTOR, "Rotation vector", RotationVectorActivity.class));
		adapter.add(new SensorItem(Sensor.TYPE_STEP_COUNTER, "Step counter", StepCounterActivity.class));
		adapter.add(new SensorItem(Sensor.TYPE_STEP_DETECTOR, "Step detector", StepDetectorActivity.class));

		ListView listView = (ListView)findViewById(R.id.listView);
		listView.setAdapter(adapter);

		listView.setOnItemClickListener(this);
	}

	@Override
	public void onItemClick(AdapterView<?> parent, View view, int position, long id) {
		if (view.isEnabled()) {
			Intent intent = new Intent(this, ((SensorItem)parent.getAdapter().getItem(position)).clazz);
			startActivity(intent);
		}
	}
}
