package com.example.android.sensor2;

import android.content.Context;
import android.graphics.Canvas;
import android.graphics.Color;
import android.graphics.Paint;
import android.hardware.Sensor;

public class StepCounterActivity extends AbstractSensorActivity {
	@Override
	AbstractSensorView getSensorView(Context context) {
		return new SensorView(context);
	}

	@Override
	int getSensorType() {
		return Sensor.TYPE_STEP_COUNTER;
	}

	private class SensorView extends AbstractSensorView {
		public SensorView(Context context) {
			super(context);
		}

		@Override
		void repaint(Canvas canvas, Paint paint) {
			canvas.drawText("Steps:" + mValues[0], 0,
					paint.getTextSize() * 1, paint);
			paint.setColor(Color.WHITE);
			String text = String.valueOf((int) mValues[0]);
			int size = Math.min(getWidth(), getHeight()) / 5;
			paint.setTextSize(size);
			int x = (int) (getWidth() - paint.measureText(text)) / 2;
			int y = getHeight() / 2;
			canvas.drawText(text, x, y, paint);
		}
	}
}
