package com.example.android.sensor2;

import android.content.Context;
import android.graphics.Canvas;
import android.graphics.Color;
import android.graphics.Paint;
import android.hardware.Sensor;

public class StepDetectorActivity extends AbstractSensorActivity {
	@Override
	AbstractSensorView getSensorView(Context context) {
		return new SensorView(context);
	}

	@Override
	int getSensorType() {
		return Sensor.TYPE_STEP_DETECTOR;
	}

	private class SensorView extends AbstractSensorView {
		private int mCount;
		private final int[] COLORS = { Color.RED, Color.BLUE, Color.YELLOW };
		public SensorView(Context context) {
			super(context);
		}

		@Override
		void repaint(Canvas canvas, Paint paint) {
			canvas.drawText("Detector:" + mValues[0], 0,
					paint.getTextSize() * 1, paint);
			paint.setColor(COLORS[mCount++ % COLORS.length]);
			int w = getWidth() / 3;
			int h = getHeight() / 3;
			canvas.drawRect(w, h, w * 2 , h * 2, paint);
		}
	}
}
